<template>
  <div>
    <div class="locations-group-view" v-if="group.referencePositions.length">
      <div v-for="(location) in group.referencePositions"
           :key="location.uuid"
           class="location">
        <i class="icon" :class="getLocationIconFromUuid(location)"></i>
        <span class="location-title">{{ getLocationTitleFromUuid(location) }}</span>
      </div>
      <div class="location-summary">
        Всего: {{group.referencePositions.length}}
      </div>
    </div>
    <div class="group-view-modal-footer">
      <ObButton
          label="Закрыть"
          type="primary"
          @click="$emit('close')"
          data-qa="buttonСloseGroupViewModalBP"
      />
      <ObButton
          label="Редактировать"
          type="flat"
          @click="onEdit"
          data-qa="buttonEditGroupViewModalBP"
      />
    </div>
  </div>
</template>

<script>
import ObButton from "common-components/src/obComponents/obButton";
import {mapGetters} from "vuex";

export default {
  name: "BasePricePointsGroupView",
  components: {
    ObButton,
  },
  computed: {
    ...mapGetters({
      getLocationTitleFromUuid: 'base_prices/getLocationTitleFromUuid',
      getLocationIconFromUuid: 'base_prices/getLocationIconFromUuid',
    }),
  },
  props: {
    group: {
      type: Object,
      default: () => ({}),
    },
  },
  methods: {
    onEdit() {
      this.$emit('edit', this.group);
      this.$emit('close');
    }
  },
};
</script>

<style lang="scss">
@import "~common-components/src/static/css/mixins";

.locations-group-view{
  border: 1px solid #D1D2D6;
  border-radius: 3px;
  margin-bottom: 40px;

  .location-summary{
    background: #F8FCFE;
    height: 30px;
    font-size: 12px;
    display: flex;
    align-items: center;
    padding: 0 20px;
    text-transform: uppercase;
    color: $shale-gray;
    border-radius: 0 0 3px 3px;
  }
}

.location {
  display: flex;
  align-items: center;
  height: 42px;
  border-bottom: 1px solid $lavender;
  padding: 0 20px;

  &:first-child{
    border-radius: 3px 3px 0 0;
  }
  &:last-child{
    border-bottom: none;
  }

  & > span{
    color: $cobalt-black;
    margin-left: 10px;
  }

  .icon {
    color: $blue-dust;
    font-size: 15px;
  }

}

.group-view-modal-footer{
  display: flex;
  justify-content: space-between;
  align-items: center;

}
</style>